ClasspathCommandResourceResolver (Grails 6.0.0)

Package: org.grails.cli.profile.commands.factory

## [Groovy] Class ClasspathCommandResourceResolver

- org.grails.cli.profile.commands.factory.ClasspathCommandResourceResolver

- All Implemented Interfaces and Traits:
    CommandResourceResolver

      @groovy.transform.CompileStatic
      class ClasspathCommandResourceResolver
      extends java.lang.Object
      implements CommandResourceResolver

  A CommandResourceResolver that resolves commands from the classpath under the directory META-INF/commands

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.ClassLoader` | `classLoader` |
    `private java.util.Collection<java.lang.String>` | `matchingFileExtensions` |
    `private java.util.Collection<Resource>` | `resources` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.ClassLoader` | `classLoader`
    `java.util.Collection<java.lang.String>` | `matchingFileExtensions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClasspathCommandResourceResolver (java.util.Collection<java.lang.String> matchingFileExtensions)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.util.Collection<Resource>` | `findCommandResources(Profile profile)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private java.lang.ClassLoader classLoader

    - #### private final java.util.Collection<java.lang.String> matchingFileExtensions

    - #### private java.util.Collection<Resource> resources

  - ### Property Detail

    - #### java.lang.ClassLoader classLoader

    - #### final java.util.Collection<java.lang.String> matchingFileExtensions

  - ### Constructor Detail

    - #### ClasspathCommandResourceResolver(java.util.Collection<java.lang.String> matchingFileExtensions)

  - ### Method Detail

    - #### @java.lang.Override java.util.Collection<Resource> findCommandResources(Profile profile)